// CS 106 Winter 2018 Lab 04 Question 2
// Your Name
// Student ID #

// The Model -- these three global variables define the current
// state of the thing that this sketch is about -- a single zigzag.
int y;
float w;
float h;

void setup()
{
  // Initialize the view
  size( 800, 600 );
  
  // Initialize the model
  y = 300;
  w = 50;
  h = 50;
}

// A helper function to draw a single zigzag given the
// numbers that control its shape.  Lifted straight out of
// Lab 03.
void zigzag( float y, float w, float h )
{
  float x = 0;
  beginShape();
  vertex( -10, y );
  vertex( x, y );
  while( x < width ) {
    vertex( x + w, y - h );
    vertex( x + 2*w, y );
    x = x + 2*w;
  }
  vertex( x + 10, y );
  vertex( x + 10, height + 10 );
  vertex( -10, height + 10 );
  endShape( CLOSE );
}

void draw()
{
  // Set the background colour and rendering style.
  background( 255 );
  fill( 255, 0, 0 );
  stroke( 0 );
  strokeWeight( 2 );
  
  // Draw the current zigzag.
  zigzag( y, w, h );
}